CRM

Cross-record task inbox for the caller's visible records

GET
/v1/crm/tasks/workspace

Authorization

x-api-key<token>

In: header

Query Parameters

status?string
Value in"open" | "completed" | "cancelled"
assignee?string

Restrict to one assignee; omit for anyone on my records.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/crm/tasks/workspace"
{
  "data": [
    {
      "allDay": true,
      "assigneeUserId": "string",
      "body": "string",
      "calendarEventId": "string",
      "calendarProvider": "google",
      "cancelledAt": 0,
      "completedAt": 0,
      "createdAt": 0,
      "createdByUserId": "string",
      "dueAt": 0,
      "entityId": "string",
      "id": "string",
      "listId": "string",
      "status": "open",
      "title": "string",
      "canDelete": true,
      "display": {
        "branchName": "string",
        "branchNmlsId": "string",
        "cbsaCode": "string",
        "city": "string",
        "companyName": "string",
        "companyNmlsId": "string",
        "contactCheckedAt": 0,
        "county": "string",
        "countyFips": "string",
        "location": "string",
        "name": "string",
        "state": "string",
        "subtitle": "string",
        "units": 0,
        "volume": 0,
        "zip": "string"
      },
      "entityType": "lo",
      "overrides": {
        "office": {
          "city": "string",
          "key": "string",
          "lat": 0,
          "lon": 0,
          "name": "string",
          "state": "string"
        },
        "property1": "string",
        "property2": "string"
      },
      "recordName": "string",
      "recordSubtitle": "string"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}